const String transactionRecTableName = 'transactions_rec';
const String transactionRecColumnId = 'id';
const String transactionRecTransactionIdRef = 'transaction_id';
const String transactionRecColumnData = 'data';
const String transactionRecColumnCreatedAt = 'createdAt';


class TransactionRec {

  TransactionRec();

  TransactionRec.fromMap(Map<String, dynamic> map) {
    id = map[transactionRecColumnId] as int;
    transactionId = map[transactionRecTransactionIdRef] as int;
    data = map[transactionRecColumnData] as String;
    createdAt = map[transactionRecColumnCreatedAt] as String;
  }

  int? id;
  int? transactionId;
  String? data;
  String? createdAt;

  Map<String, dynamic> toMap() {
    final Map<String, dynamic> map = <String, dynamic>{
      transactionRecTransactionIdRef: transactionId,
      transactionRecColumnData: data,
      transactionRecColumnCreatedAt: createdAt,
    };
    if (id != null) {
      map[transactionRecColumnId] = id;
    }
    return map;
  }


}

